import type { App } from 'vue';
import nsSelect from './select.vue';
import nsSelectApi from './select-api.vue';
import nsSelectOption from './select-option.vue';
import nsSelectOptGroup from './select-opt-group.vue';
import nsSelectTreeApi from './select-tree-api.vue';
import nsSelectApiV2 from './select-api-v2.vue';
import nsSelectTree from './selectTree.vue';
import { Select } from 'ant-design-vue';

export const NsSelect = function (app: App) {
  app.component(nsSelect.name, nsSelect);
  app.component(nsSelectApi.name, nsSelectApi);
  app.component(nsSelectApiV2.name, nsSelectApiV2);
  app.component(nsSelectTree.name, nsSelectTree);
  app.component(nsSelectTreeApi.name, nsSelectTreeApi);
  app.component(nsSelectOption.name, nsSelect.Option);
  app.component(nsSelectOptGroup.name, Select.OptGroup);
  return app;
};
